Index: cross-tools/alpha/glibc-headers.xml
===================================================================
--- cross-tools/alpha/glibc-headers.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
+++ cross-tools/alpha/glibc-headers.xml	(revision 157894b4f9bfd344f4435def7c5dded201a48ce3)
@@ -40,12 +40,18 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='dd'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='de'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/glibc.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
-<screen><userinput>CC=gcc ../glibc-&glibc-version;/configure --prefix=/tools \
-    --host=${LFS_TARGET} --build=${LFS_HOST} \
-    --disable-sanity-checks --enable-kernel=2.6.0 \
-    --with-headers=/tools/include \
-    --with-binutils=/cross-tools/${LFS_TARGET}/bin</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/glibc-headers.xml"
+    xpointer="xpointer(//*[@os='s3'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: cross-tools/x86/glibc-headers.xml
===================================================================
--- cross-tools/x86/glibc-headers.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
+++ cross-tools/x86/glibc-headers.xml	(revision 157894b4f9bfd344f4435def7c5dded201a48ce3)
@@ -40,4 +40,12 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='dd'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='de'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/glibc.xml"
     xpointer="xpointer(//*[@os='g'])"/>
@@ -46,5 +54,5 @@
     --host=${LFS_TARGET} --build=${LFS_HOST} \
     --disable-sanity-checks --enable-kernel=2.6.0 \
-    --with-headers=/tools/include \
+    --with-headers=/tools/include --cache-file=config.cache \
     --with-binutils=/cross-tools/${LFS_TARGET}/bin</userinput></screen>
 
Index: cross-tools/x86_64-64/glibc-headers.xml
===================================================================
--- cross-tools/x86_64-64/glibc-headers.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
+++ cross-tools/x86_64-64/glibc-headers.xml	(revision 157894b4f9bfd344f4435def7c5dded201a48ce3)
@@ -38,4 +38,12 @@
     href="../../final-system/common/glibc.xml"
     xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='dd'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='de'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: cross-tools/x86_64/glibc-headers.xml
===================================================================
--- cross-tools/x86_64/glibc-headers.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
+++ cross-tools/x86_64/glibc-headers.xml	(revision 157894b4f9bfd344f4435def7c5dded201a48ce3)
@@ -38,4 +38,12 @@
     href="../../final-system/common/glibc.xml"
     xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='dd'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='de'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: sparcv8-index.xml
===================================================================
--- sparcv8-index.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
+++ sparcv8-index.xml	(revision 157894b4f9bfd344f4435def7c5dded201a48ce3)
@@ -48,5 +48,5 @@
     <title>Building the Basic Tools</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="temp-system/sparc-chapter.xml"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="temp-system/sparcv8-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="boot/sparc-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="chroot/sparc-chapter.xml"/>