Index: BOOK/final-system/mips64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-chapter.xml	(revision db065d5e7db5118ea4d1638117a24174cc636279)
+++ BOOK/final-system/mips64-chapter.xml	(revision 1718e20b7ad1323d72750aeda09450594add82da)
@@ -39,4 +39,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/zlib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/zlib-n32.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/zlib-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/gcc.xml"/>
@@ -78,5 +79,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/readline-n32.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/readline-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/zlib-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-n32.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/autoconf.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/automake.xml"/>
@@ -100,4 +103,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/less.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap-n32.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/make.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/xz.xml"/>
@@ -105,8 +111,17 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/xz-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/man.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/expat.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/expat-n32.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/expat-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/dbus.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/dbus-n32.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/dbus-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/patch.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/shadow.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/systemd.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/systemd-n32.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/systemd-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libestr.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libestr-n32.xml"/>
@@ -116,5 +131,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libee-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/rsyslog.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/sysvinit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/texinfo.xml"/>