Index: BOOK/final-preps/aboutclfs.xml
===================================================================
--- BOOK/final-preps/aboutclfs.xml	(revision 4fc026ef671b8cdd8c60814e135dc362072ac718)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-final-preps-aboutclfs">
-  <?dbhtml filename="aboutclfs.html"?>
-
-  <title>About ${CLFS}</title>
-
-  <para>Throughout this book, the environment variable <envar>CLFS</envar> will
-  be used several times. It is paramount that this variable is always defined.
-  It should be set to the mount point chosen for the CLFS partition.
-  Check that the <envar>CLFS</envar> variable is set up properly with:</para>
-
-<screen><userinput>echo ${CLFS}</userinput></screen>
-
-  <para>Make sure the output shows the path to the CLFS partition's mount
-  point, which is <filename class="directory">/mnt/clfs</filename> if the
-  provided example was followed. If the output is incorrect, the
-  variable can be set with:</para>
-
-<screen><userinput>export CLFS=/mnt/clfs</userinput></screen>
-
-  <para>Having this variable set is beneficial in that commands such as
-  <command>install -dv ${CLFS}/tools</command> can be typed literally. The shell
-  will automatically replace <quote>${CLFS}</quote> with
-  <quote>/mnt/clfs</quote> (or whatever the variable was set to) when it
-  processes the command line.</para>
-
-  <para>If you haven't created the <filename class="directory">${CLFS}</filename>
-  directory, do so at this time by issuing the following commands:</para>
-
-<screen><userinput>install -dv ${CLFS}</userinput></screen>
-
-  <para>Do not forget to check that <envar>${CLFS}</envar> is set whenever
-  you leave and reenter the current working environment (as when doing a
-  <quote>su</quote> to <systemitem class="username">root</systemitem> or
-  another user).</para>
-
-</sect1>
Index: BOOK/final-preps/aboutlfs.xml
===================================================================
--- BOOK/final-preps/aboutlfs.xml	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
+++ BOOK/final-preps/aboutlfs.xml	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
@@ -0,0 +1,43 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-final-preps-aboutlfs">
+  <?dbhtml filename="aboutlfs.html"?>
+
+  <title>About $LFS</title>
+
+  <para>Throughout this book, the environment variable <envar>LFS</envar> will
+  be used several times. It is paramount that this variable is always defined.
+  It should be set to the mount point chosen for the CLFS partition.
+  Check that the <envar>LFS</envar> variable is set up properly with:</para>
+
+<screen><userinput>echo $LFS</userinput></screen>
+
+  <para>Make sure the output shows the path to the CLFS partition's mount
+  point, which is <filename class="directory">/mnt/lfs</filename> if the
+  provided example was followed. If the output is incorrect, the
+  variable can be set with:</para>
+
+<screen><userinput>export LFS=/mnt/lfs</userinput></screen>
+
+  <para>Having this variable set is beneficial in that commands such as
+  <command>install -d $LFS/tools</command> can be typed literally. The shell
+  will automatically replace <quote>$LFS</quote> with
+  <quote>/mnt/lfs</quote> (or whatever the variable was set to) when it
+  processes the command line.</para>
+
+  <para>If you haven't created the <filename class="directory">$LFS</filename>
+  directory, do so at this time by issuing the following commands:</para>
+
+<screen><userinput>install -dv $LFS</userinput></screen>
+
+  <para>Do not forget to check that <envar>$LFS</envar> is set whenever
+  you leave and reenter the current working environment (as when doing a
+  <quote>su</quote> to <systemitem class="username">root</systemitem> or
+  another user).</para>
+
+</sect1>
Index: BOOK/final-preps/abouttestsuites.xml
===================================================================
--- BOOK/final-preps/abouttestsuites.xml	(revision 4fc026ef671b8cdd8c60814e135dc362072ac718)
+++ BOOK/final-preps/abouttestsuites.xml	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: BOOK/final-preps/addinguser.xml
===================================================================
--- BOOK/final-preps/addinguser.xml	(revision 4fc026ef671b8cdd8c60814e135dc362072ac718)
+++ BOOK/final-preps/addinguser.xml	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
@@ -9,5 +9,5 @@
   <?dbhtml filename="addinguser.html"?>
 
-  <title>Adding the CLFS User</title>
+  <title>Adding the LFS User</title>
 
   <para>When logged in as user <systemitem class="username">root</systemitem>,
@@ -16,13 +16,11 @@
   You could use your own user name, but to make it easier to set up a clean
   work environment, create a new user called <systemitem
-  class="username">clfs</systemitem> as a member of a new group (also named
-  <systemitem class="groupname">clfs</systemitem>) and use this user during
+  class="username">lfs</systemitem> as a member of a new group (also named
+  <systemitem class="groupname">lfs</systemitem>) and use this user during
   the installation process. As <systemitem class="username">root</systemitem>,
   issue the following commands to add the new user:</para>
 
-<screen><userinput>groupadd clfs
-useradd -s /bin/bash -g clfs -d /home/clfs clfs
-mkdir -pv /home/clfs
-chown -v clfs:clfs /home/clfs</userinput></screen>
+<screen><userinput>groupadd lfs
+useradd -s /bin/bash -g lfs -m -k /dev/null lfs</userinput></screen>
 
   <variablelist>
@@ -33,18 +31,35 @@
       <listitem>
         <para>This makes <command>bash</command> the default shell for
-        user <systemitem class="username">clfs</systemitem>.</para>
+        user <systemitem class="username">lfs</systemitem>.</para>
       </listitem>
     </varlistentry>
 
     <varlistentry>
-      <term><parameter>-g clfs</parameter></term>
+      <term><parameter>-g lfs</parameter></term>
       <listitem>
-        <para>This option adds user <systemitem class="username">clfs</systemitem>
-        to group <systemitem class="groupname">clfs</systemitem>.</para>
+        <para>This option adds user <systemitem class="username">lfs</systemitem>
+        to group <systemitem class="groupname">lfs</systemitem>.</para>
       </listitem>
     </varlistentry>
 
     <varlistentry>
-      <term><parameter>clfs</parameter></term>
+      <term><parameter>-m</parameter></term>
+      <listitem>
+        <para>This creates a home directory for <systemitem
+        class="username">lfs</systemitem>.</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>-k /dev/null</parameter></term>
+      <listitem>
+        <para>This parameter prevents possible copying of files from a skeleton
+        directory (default is <filename class="directory">/etc/skel</filename>)
+        by changing the input location to the special null device.</para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>lfs</parameter></term>
       <listitem>
         <para>This is the actual name for the created group and user.</para>
@@ -54,24 +69,24 @@
   </variablelist>
 
-  <para>To log in as <systemitem class="username">clfs</systemitem> (as
-  opposed to switching to user <systemitem class="username">clfs</systemitem>
+  <para>To log in as <systemitem class="username">lfs</systemitem> (as
+  opposed to switching to user <systemitem class="username">lfs</systemitem>
   when logged in as <systemitem class="username">root</systemitem>, which
-  does not require the <systemitem class="username">clfs</systemitem> user
-  to have a password), give <systemitem class="username">clfs</systemitem>
+  does not require the <systemitem class="username">lfs</systemitem> user
+  to have a password), give <systemitem class="username">lfs</systemitem>
   a password:</para>
 
-<screen><userinput>passwd clfs</userinput></screen>
+<screen><userinput>passwd lfs</userinput></screen>
 
-  <para>Grant <systemitem class="username">clfs</systemitem> full access to
-  <filename class="directory">${CLFS}</filename> by making <systemitem
-  class="username">clfs</systemitem> the directory's owner:</para>
+  <para>Grant <systemitem class="username">lfs</systemitem> full access to
+  <filename class="directory">$LFS</filename> by making <systemitem
+  class="username">lfs</systemitem> the directory's owner:</para>
 
-<screen><userinput>chown -Rv clfs ${CLFS}</userinput></screen>
+<screen><userinput>chown -Rv lfs $LFS</userinput></screen>
 
-  <para>Next, login as user <systemitem class="username">clfs</systemitem>.
+  <para>Next, login as user <systemitem class="username">lfs</systemitem>.
   This can be done via a virtual console, through a display manager, or
   with the following substitute user command:</para>
 
-<screen><userinput>su - clfs</userinput></screen>
+<screen><userinput>su - lfs</userinput></screen>
 
   <para>The <quote><parameter>-</parameter></quote> instructs
Index: BOOK/final-preps/chapter.xml
===================================================================
--- BOOK/final-preps/chapter.xml	(revision 4fc026ef671b8cdd8c60814e135dc362072ac718)
+++ BOOK/final-preps/chapter.xml	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
@@ -12,5 +12,6 @@
   <title>Final Preparations</title>
 
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="aboutclfs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="aboutlfs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="creatingcrossdir.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="addinguser.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="settingenviron.xml"/>
Index: BOOK/final-preps/creatingcrossdir.xml
===================================================================
--- BOOK/final-preps/creatingcrossdir.xml	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
+++ BOOK/final-preps/creatingcrossdir.xml	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
@@ -0,0 +1,38 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-final-preps-creatingcrossdir">
+  <?dbhtml filename="creatingcrossdir.html"?>
+
+  <title>Creating the $LFS/cross-tools Directory</title>
+
+  <para>The cross-binutils and cross-compiler built in
+  <xref linkend="chapter-cross-tools"/> will be installed under
+  <filename class="directory">$LFS/cross-tools</filename> to keep them
+  separate from the host programs. The programs compiled here are
+  cross-tools and will not be a part of the final CLFS system or the
+  temp-system. By keeping these programs in a separate directory, they
+  can easily be discarded later after their use.</para>
+
+  <para>Create the required directory by running the following as
+  <systemitem class="username">root</systemitem>:</para>
+
+<screen><userinput>install -dv $LFS/cross-tools</userinput></screen>
+
+  <para>The next step is to create a <filename
+  class="symlink">/cross-tools</filename> symlink on the host system.
+  This will point to the newly-created directory on the CLFS partition.
+  Run this command as  <systemitem class="username">root</systemitem> as well:</para>
+
+<screen><userinput>ln -sv $LFS/cross-tools /</userinput></screen>
+
+  <para>The symlink isn't technically necessary (though the book's
+  instructions do assume its existence), but is there mainly for
+  consistency (because /tools is also symlinked to $LFS/tools) and to
+  simplify the installation of the cross-compile tools.</para>
+
+</sect1>
Index: BOOK/final-preps/creatingdirs.xml
===================================================================
--- BOOK/final-preps/creatingdirs.xml	(revision 4fc026ef671b8cdd8c60814e135dc362072ac718)
+++ BOOK/final-preps/creatingdirs.xml	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
@@ -11,20 +11,20 @@
   <title>Creating Directories</title>
 
-  <para>It is time to create some structure in the CLFS file system. Create a
+  <para>It is time to create some structure in the LFS file system. Create a
   standard directory tree by issuing the following commands:</para>
 
-<screen><userinput>mkdir -pv ${CLFS}/{bin,boot,dev,{etc/,}opt,home,lib,mnt}
-mkdir -pv ${CLFS}/{proc,media/{floppy,cdrom},sbin,srv,sys}
-mkdir -pv ${CLFS}/var/{lock,log,mail,run,spool}
-mkdir -pv ${CLFS}/var/{opt,cache,lib/{misc,locate},local}
-install -dv -m 0750 ${CLFS}/root
-install -dv -m 1777 ${CLFS}{/var,}/tmp
-mkdir -pv ${CLFS}/usr/{,local/}{bin,include,lib,sbin,src}
-mkdir -pv ${CLFS}/usr/{,local/}share/{doc,info,locale,man}
-mkdir -pv ${CLFS}/usr/{,local/}share/{misc,terminfo,zoneinfo}
-mkdir -pv ${CLFS}/usr/{,local/}share/man/man{1,2,3,4,5,6,7,8}
-for dir in ${CLFS}/usr{,/local}; do
-  ln -sfnv share/{man,doc,info} ${dir}
-done</userinput></screen>
+<screen><userinput>mkdir -pv ${LFS}/{bin,boot,etc/opt,home,lib,mnt,opt}
+mkdir -pv ${LFS}/{media/{floppy,cdrom},sbin,srv,var}
+install -dv -m 0750 /root
+install -dv -m 1777 /tmp /var/tmp
+mkdir -pv ${LFS}/usr/{,local/}{bin,include,lib,sbin,src}
+mkdir -pv ${LFS}/usr/{,local/}share/{doc,info,locale,man}
+mkdir -v  ${LFS}/usr/{,local/}share/{misc,terminfo,zoneinfo}
+mkdir -pv ${LFS}/usr/{,local/}share/man/man{1..8}
+for dir in ${LFS}/usr ${LFS}/usr/local; do
+  ln -sv share/{man,doc,info} $dir
+done
+mkdir -v ${LFS}/var/{lock,log,mail,run,spool}
+mkdir -pv ${LFS}/var/{opt,cache,lib/{misc,locate},local}</userinput></screen>
 
   <para>Directories are, by default, created with permission mode 755, but
Index: BOOK/final-preps/creatingfiles.xml
===================================================================
--- BOOK/final-preps/creatingfiles.xml	(revision 4fc026ef671b8cdd8c60814e135dc362072ac718)
+++ BOOK/final-preps/creatingfiles.xml	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
@@ -9,29 +9,13 @@
   <?dbhtml filename="creatingfiles.html"?>
 
-  <title>Creating the passwd, group, and log Files</title>
+  <title>Creating Essential Files</title>
 
-  <indexterm zone="ch-final-preps-creatingfiles">
-    <primary sortas="e-/etc/passwd">/etc/passwd</primary>
-  </indexterm>
+  <para>A proper Linux system maintains a list of the mounted file systems in
+  the file <filename>/etc/mtab</filename>.  Normally, this file would be
+  created when we mount a new file system. Since we will not be mounting any
+  file systems inside our chroot environment, create an empty file for
+  utilities that expect the presence of <filename>/etc/mtab</filename>:</para>
 
-  <indexterm zone="ch-final-preps-creatingfiles">
-    <primary sortas="e-/etc/group">/etc/group</primary>
-  </indexterm>
-
-  <indexterm zone="ch-final-preps-creatingfiles">
-    <primary sortas="e-/var/run/utmp">/var/run/utmp</primary>
-  </indexterm>
-
-  <indexterm zone="ch-final-preps-creatingfiles">
-    <primary sortas="e-/var/log/btmp">/var/log/btmp</primary>
-  </indexterm>
-
-  <indexterm zone="ch-final-preps-creatingfiles">
-    <primary sortas="e-/var/log/lastlog">/var/log/lastlog</primary>
-  </indexterm>
-
-  <indexterm zone="ch-final-preps-creatingfiles">
-    <primary sortas="e-/var/log/wtmp">/var/log/wtmp</primary>
-  </indexterm>
+<screen><userinput>touch ${LFS}/etc/mtab</userinput></screen>
 
   <para>In order for user <systemitem class="username">root</systemitem> to be
@@ -43,149 +27,32 @@
   command:</para>
 
-<screen><userinput>cat &gt; ${CLFS}/etc/passwd &lt;&lt; "EOF"
-<literal>root::&uid-root;:&gid-root;:root:/root:/bin/bash</literal>
+<screen><userinput>cat &gt; %{LFS}/etc/passwd &lt;&lt; "EOF"
+<literal>root:x:0:0:root:/root:/bin/bash</literal>
 EOF</userinput></screen>
 
   <para>The actual password for <systemitem class="username">root</systemitem>
-  (the <quote>::</quote> used here is just a placeholder and allow you to login
-  with no password) will be set later.</para>
-
-  <variablelist os="b">
-
-    <title>Additional users you may want to add:</title>
-
-    <varlistentry>
-      <term><literal>bin:x:&uid-bin;:&gid-bin;:bin:/bin:/bin/false</literal></term>
-      <listitem>
-        <para>Can be useful for compatibility with legacy applications.</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry>
-      <term><literal>daemon:x:&uid-daemon;:&uid-daemon;:daemon:/sbin:/bin/false</literal></term>
-      <listitem>
-        <para>It is often recommended to use an unprivileged User ID/Group ID
-        for daemons in order to limit their access to the system.</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry>
-      <term><literal>adm:x:&uid-adm;:&gid-adm;:adm:/var/adm:/bin/false</literal></term>
-      <listitem>
-        <para>Was used for programs that performed administrative tasks.</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry>
-      <term><literal>lp:x:&uid-lp;:&gid-lp;:lp:/var/spool/lp:/bin/false</literal></term>
-      <listitem>
-        <para>Used by programs for printing.</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry>
-      <term><literal>mail:x:&uid-mail;:&gid-mail;:mail:/var/mail:/bin/false</literal></term>
-      <listitem>
-        <para>Often used by email programs.</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry>
-      <term><literal>news:x:&uid-news;:&gid-news;:news:/var/spool/news:/bin/false</literal></term>
-      <listitem>
-        <para>Often used for network news servers.</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry>
-      <term><literal>operator:x:&uid-operator;:&gid-root;:operator:/root:/bin/bash</literal></term>
-      <listitem>
-        <para>Often used to allow system operators to access the system.</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry>
-      <term><literal>postmaster:x:&uid-postmaster;:&gid-mail;:postmaster:/var/spool/mail:/bin/false</literal></term>
-      <listitem>
-        <para>Generally used as an account that receives all the information of troubles with the mail server.</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry>
-      <term><literal>nobody:x:&uid-nobody;:&gid-nobody;:nobody:/:/bin/false</literal></term>
-      <listitem>
-        <para>Used by NFS.</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
+  (the <quote>x</quote> used here is just a placeholder) will be set later.</para>
 
   <para>Create the <filename>/etc/group</filename> file by running the following
   command:</para>
 
-<screen><userinput>cat &gt; ${CLFS}/etc/group &lt;&lt; "EOF"
-<literal>root:x:&gid-root;:
-bin:x:&gid-bin;:
-sys:x:&gid-sys;:
-kmem:x:&gid-kmem;:
-tty:x:&gid-tty;:
-tape:x:&gid-tape;:
-daemon:x:&gid-daemon;:
-floppy:x:&gid-floppy;:
-disk:x:&gid-disk;:
-lp:x:&gid-lp;:
-dialout:x:&gid-dialout;:
-audio:x:&gid-audio;:
-video:x:&gid-video;:
-utmp:x:&gid-utmp;:
-usb:x:&gid-usb;:
-cdrom:x:&gid-cdrom;:</literal>
+<screen><userinput>cat &gt; ${LFS}/etc/group &lt;&lt; "EOF"
+<literal>root:x:0:
+bin:x:1:
+sys:x:2:
+kmem:x:3:
+tty:x:4:
+tape:x:5:
+daemon:x:6:
+floppy:x:7:
+disk:x:8:
+lp:x:9:
+dialout:x:10:
+audio:x:11:
+video:x:12:
+utmp:x:13:
+usb:x:14:
+cdrom:x:15:</literal>
 EOF</userinput></screen>
-
-  <variablelist os="c">
-
-    <title>Additional groups you may want to add</title>
-
-    <varlistentry>
-      <term><literal>adm:x:&gid-adm;:root,adm,daemon</literal></term>
-      <listitem>
-        <para>All users in this group are allowed to do administrative tasks</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry>
-      <term><literal>console:x:&gid-console;:</literal></term>
-      <listitem>
-        <para>This group has direct access to the console</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry>
-      <term><literal>cdrw:x:&gid-cdrw;:</literal></term>
-      <listitem>
-        <para>This group is allowed to use the CDRW drive</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry>
-      <term><literal>mail:x:&gid-mail;:mail</literal></term>
-      <listitem>
-        <para>Used by MTAs (Mail Transport Agents)</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry>
-      <term><literal>news:x:&gid-news;:news</literal></term>
-      <listitem>
-        <para>Used by Network News Servers</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry>
-      <term><literal>users:x:&gid-users;:</literal></term>
-      <listitem>
-        <para>The default GID used by shadow for new users</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry>
-      <term><literal>nogroup:x:&gid-nogroup;:</literal></term>
-      <listitem>
-        <para>This is a default group used by some programs that do not
-        require a group</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry>
-      <term><literal>nobody:x:&gid-nobody;:</literal></term>
-      <listitem>
-        <para>This is used by NFS</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
 
   <para>The created groups are not part of any standard&mdash;they are groups
@@ -207,7 +74,7 @@
   proper permissions:</para>
 
-<screen><userinput>touch ${CLFS}/var/run/utmp ${CLFS}/var/log/{btmp,lastlog,wtmp}
-chmod -v 664 ${CLFS}/var/run/utmp ${CLFS}/var/log/lastlog
-chmod -v 600 ${CLFS}/var/log/btmp</userinput></screen>
+<screen><userinput>touch ${LFS}/var/run/utmp ${LFS}/var/log/{btmp,lastlog,wtmp}
+chgrp -v utmp ${LFS}/var/run/utmp ${LFS}/var/log/lastlog
+chmod -v 664 ${LFS}/var/run/utmp ${LFS}/var/log/lastlog</userinput></screen>
 
   <para>The <filename>/var/run/utmp</filename> file records the users
Index: BOOK/final-preps/settingenviron.xml
===================================================================
--- BOOK/final-preps/settingenviron.xml	(revision 4fc026ef671b8cdd8c60814e135dc362072ac718)
+++ BOOK/final-preps/settingenviron.xml	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
@@ -13,12 +13,12 @@
   <para os="a">Set up a good working environment by creating two new startup
   files for the <command>bash</command> shell. While logged in as user
-  <systemitem class="username">clfs</systemitem>, issue the following
+  <systemitem class="username">lfs</systemitem>, issue the following
   command to create a new <filename>.bash_profile</filename>:</para>
 
 <screen os="b"><userinput>cat &gt; ~/.bash_profile &lt;&lt; "EOF"
-<literal>exec env -i HOME=${HOME} TERM=${TERM} PS1='\u:\w\$ ' /bin/bash</literal>
+<literal>exec env -i HOME=$HOME TERM=$TERM PS1='\u:\w\$ ' /bin/bash</literal>
 EOF</userinput></screen>
 
-  <para os="c">When logged on as user <systemitem class="username">clfs</systemitem>,
+  <para os="c">When logged on as user <systemitem class="username">lfs</systemitem>,
   the initial shell is usually a <emphasis>login</emphasis> shell which
   reads the <filename>/etc/profile</filename> of the host (probably
@@ -42,8 +42,8 @@
 <literal>set +h
 umask 022
-CLFS=/mnt/clfs
+LFS=/mnt/lfs
 LC_ALL=POSIX
-PATH=${CLFS}/cross-tools/bin:/bin:/usr/bin
-export CLFS LC_ALL PATH</literal>
+PATH=/cross-tools/bin:/bin:/usr/bin
+export LFS LC_ALL PATH</literal>
 EOF</userinput></screen>
 
@@ -56,5 +56,5 @@
   the shell will always search the <envar>PATH</envar> when a program is to
   be run. As such, the shell will find the newly compiled tools in
-  <filename class="directory">${CLFS}/cross-tools</filename> as soon as they are
+  <filename class="directory">$LFS/cross-tools</filename> as soon as they are
   available without remembering a previous version of the same program in a
   different location.</para>
@@ -66,10 +66,11 @@
   mode 644 and directories with mode 755).</para>
 
-  <para os="h">The <envar>CLFS</envar> variable should be set to the
+  <para os="h">The <envar>LFS</envar> variable should be set to the
   chosen mount point.</para>
 
-  <para os="i">The <envar>LC_ALL</envar> variable controls the localization of
+  <para os="i">TO BE REWRITTEN - The <envar>LC_ALL</envar> variable controls
+  the localization of
   certain programs, making their messages follow the conventions of a
-  specified country.  If the host system uses a version of EGLIBC older
+  specified country.  If the host system uses a version of Glibc older
   than 2.2.4, having <envar>LC_ALL</envar> set to something other than
   <quote>POSIX</quote> or <quote>C</quote> (during this chapter) may cause
@@ -79,5 +80,5 @@
   the chroot environment.</para>
 
-  <para os="j">By putting <filename class="directory">${CLFS}/cross-tools/bin</filename>
+  <para os="j">By putting <filename class="directory">/cross-tools/bin</filename>
   at the beginning of the <envar>PATH</envar>, the cross-compiler
   built in <xref linkend="chapter-cross-tools"/> will be picked up by