Index: BOOK/arm-index.xml
===================================================================
--- BOOK/arm-index.xml	(revision 60efb6b48e75b3aa185fcb780368766b378e26ed)
+++ BOOK/arm-index.xml	(revision 2116d25662f0c8fc366ec8708ae846e996f518c8)
@@ -25,5 +25,5 @@
     <title>Preparing for the Build</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="partitioning/arm-chapter.xml"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="partitioning/chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="materials/arm-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="final-preps/chapter.xml"/>
Index: BOOK/introduction/common/how.xml
===================================================================
--- BOOK/introduction/common/how.xml	(revision 60efb6b48e75b3aa185fcb780368766b378e26ed)
+++ BOOK/introduction/common/how.xml	(revision 2116d25662f0c8fc366ec8708ae846e996f518c8)
@@ -33,14 +33,14 @@
   LiveCD or to download a copy, visit <ulink url="&livecd-root;"/>.</para>
 
-  <para><xref linkend="chapter-partitioning"/> of this book describes how
-  to create a new Linux native partition and file system, the place
-  where the new CLFS system will be compiled and installed. <xref
-  linkend="chapter-getting-materials"/> explains which packages and
-  patches need to be downloaded to build a CLFS system and how to store
-  them on the new file system. <xref linkend="chapter-final-preps"/>
-  discusses the setup for an appropriate working environment. Please read
-  <xref linkend="chapter-final-preps"/> carefully as it explains several
-  important issues the developer should be aware of before beginning to
-  work through <xref linkend="chapter-cross-tools"/> and beyond.</para>
+  <para><xref linkend="chapter-creating-build-dir"/> of this book describes how
+  to create a temporary build directory  where the new CLFS system will be
+  compiled and installed. <xref linkend="chapter-getting-materials"/> explains
+  which packages and patches need to be downloaded to build a CLFS system and
+  how to store them on the new file system. <xref
+    linkend="chapter-final-preps"/> discusses the setup for an appropriate
+  working environment. Please read <xref linkend="chapter-final-preps"/>
+  carefully as it explains several important issues the developer should be
+  aware of before beginning to work through <xref
+    linkend="chapter-cross-tools"/> and beyond.</para>
 
   <para><xref linkend="chapter-cross-tools"/> explains the installation of
Index: BOOK/mips-index.xml
===================================================================
--- BOOK/mips-index.xml	(revision 60efb6b48e75b3aa185fcb780368766b378e26ed)
+++ BOOK/mips-index.xml	(revision 2116d25662f0c8fc366ec8708ae846e996f518c8)
@@ -25,5 +25,5 @@
     <title>Preparing for the Build</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="partitioning/mips-chapter.xml"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="partitioning/chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="materials/mips-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="final-preps/chapter.xml"/>
Index: BOOK/partitioning/arm-chapter.xml
===================================================================
--- BOOK/partitioning/arm-chapter.xml	(revision 60efb6b48e75b3aa185fcb780368766b378e26ed)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../general.ent">
-  %general-entities;
-]>
-
-<chapter id="chapter-partitioning" xreflabel="Preparing a New Partition">
-  <?dbhtml dir="partitioning"?>
-  <?dbhtml filename="chapter.html"?>
-
-  <title>Preparing a New Partition</title>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mounting.xml"/>
-
-</chapter>
Index: BOOK/partitioning/chapter.xml
===================================================================
--- BOOK/partitioning/chapter.xml	(revision 2116d25662f0c8fc366ec8708ae846e996f518c8)
+++ BOOK/partitioning/chapter.xml	(revision 2116d25662f0c8fc366ec8708ae846e996f518c8)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<chapter id="chapter-creating-build-dir" xreflabel="Creating a Build Directory">
+  <?dbhtml dir="partitioning"?>
+  <?dbhtml filename="chapter.html"?>
+
+  <title>Creating a Build Directory</title>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="creatingbuilddir.xml"/>
+
+</chapter>
Index: BOOK/partitioning/common/mounting.xml
===================================================================
--- BOOK/partitioning/common/mounting.xml	(revision 60efb6b48e75b3aa185fcb780368766b378e26ed)
+++ 	(revision )
@@ -1,30 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-partitioning-mounting">
-  <?dbhtml filename="mounting.html"?>
-
-  <title>Creating a Build Directory</title>
-
-  <para> Create a directory for the CLFS build (the exact location is up to
-    you): </para>
-
-<screen><userinput>mkdir -p /mnt/clfs</userinput></screen>
-
-  <para>Assign it to the <envar>CLFS</envar> environment variable:</para>
-
-<screen><userinput>export CLFS=/mnt/clfs</userinput></screen>
-
-  <para>Ensure that this new directory has permissions that are too restrictive
-    such that you can write to it as a non-root user.</para>
-
-<screen><userinput>chmod 777 $CLFS</userinput></screen>
-
-  <para>Now that there is an established place to work, it is time to
-  download the packages.</para>
-
-</sect1>
Index: BOOK/partitioning/creatingbuilddir.xml
===================================================================
--- BOOK/partitioning/creatingbuilddir.xml	(revision 2116d25662f0c8fc366ec8708ae846e996f518c8)
+++ BOOK/partitioning/creatingbuilddir.xml	(revision 2116d25662f0c8fc366ec8708ae846e996f518c8)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-partitioning-creatingbuilddir">
+  <?dbhtml filename="creatingbuilddir.html"?>
+
+  <title>Creating a Build Directory</title>
+
+  <para> Create a directory for the CLFS build (the exact location is up to
+    you): </para>
+
+<screen><userinput>mkdir -p /mnt/clfs</userinput></screen>
+
+  <para>Assign it to the <envar>CLFS</envar> environment variable:</para>
+
+<screen><userinput>export CLFS=/mnt/clfs</userinput></screen>
+
+  <para>Ensure that this new directory has permissions that are too restrictive
+    such that you can write to it as a non-root user.</para>
+
+<screen><userinput>chmod 777 $CLFS</userinput></screen>
+
+  <para>Now that there is an established place to work, it is time to
+  download the packages.</para>
+
+</sect1>
Index: BOOK/partitioning/mips-chapter.xml
===================================================================
--- BOOK/partitioning/mips-chapter.xml	(revision 60efb6b48e75b3aa185fcb780368766b378e26ed)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../general.ent">
-  %general-entities;
-]>
-
-<chapter id="chapter-partitioning" xreflabel="Preparing a New Partition">
-  <?dbhtml dir="partitioning"?>
-  <?dbhtml filename="chapter.html"?>
-
-  <title>Preparing a New Partition</title>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mounting.xml"/>
-
-</chapter>
Index: BOOK/partitioning/x86-chapter.xml
===================================================================
--- BOOK/partitioning/x86-chapter.xml	(revision 60efb6b48e75b3aa185fcb780368766b378e26ed)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../general.ent">
-  %general-entities;
-]>
-
-<chapter id="chapter-partitioning" xreflabel="Preparing a New Partition">
-  <?dbhtml dir="partitioning"?>
-  <?dbhtml filename="chapter.html"?>
-
-  <title>Preparing a New Partition</title>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mounting.xml"/>
-
-</chapter>
Index: BOOK/x86-index.xml
===================================================================
--- BOOK/x86-index.xml	(revision 60efb6b48e75b3aa185fcb780368766b378e26ed)
+++ BOOK/x86-index.xml	(revision 2116d25662f0c8fc366ec8708ae846e996f518c8)
@@ -25,5 +25,5 @@
     <title>Preparing for the Build</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="partitioning/x86-chapter.xml"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="partitioning/chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="materials/x86-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="final-preps/chapter.xml"/>