Index: BOOK/temp-system/64/file.xml
===================================================================
--- BOOK/temp-system/64/file.xml	(revision 3390ed6fb20372899d747336f82821e59cef342b)
+++ BOOK/temp-system/64/file.xml	(revision 3390ed6fb20372899d747336f82821e59cef342b)
@@ -0,0 +1,57 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-temp-system-file" role="wrap">
+  <?dbhtml filename="file.html"?>
+
+  <title>File-&file-version;</title>
+
+  <indexterm zone="ch-temp-system-file">
+    <primary sortas="a-File">File</primary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/file.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of File</title>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/file.xml"
+    xpointer="xpointer(//*[@os='a'])"/>
+
+<screen os="b"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
+   --build=${CLFS_HOST} --host=${CLFS_TARGET}</userinput></screen>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/file.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/file.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/file.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/file.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in <xref
+    linkend="contents-file" role="."/></para>
+
+  </sect2>
+
+</sect1>
Index: BOOK/temp-system/mips64-64-chapter.xml
===================================================================
--- BOOK/temp-system/mips64-64-chapter.xml	(revision 2e9a7f5d550db4be51d3ef3af922923ae765ee18)
+++ BOOK/temp-system/mips64-64-chapter.xml	(revision 3390ed6fb20372899d747336f82821e59cef342b)
@@ -23,5 +23,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/findutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/zlib.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gettext.xml"/>
Index: BOOK/temp-system/sparc64-64-chapter.xml
===================================================================
--- BOOK/temp-system/sparc64-64-chapter.xml	(revision 2e9a7f5d550db4be51d3ef3af922923ae765ee18)
+++ BOOK/temp-system/sparc64-64-chapter.xml	(revision 3390ed6fb20372899d747336f82821e59cef342b)
@@ -23,5 +23,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/findutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/zlib.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gettext.xml"/>
Index: BOOK/temp-system/x86_64-64-chapter.xml
===================================================================
--- BOOK/temp-system/x86_64-64-chapter.xml	(revision 2e9a7f5d550db4be51d3ef3af922923ae765ee18)
+++ BOOK/temp-system/x86_64-64-chapter.xml	(revision 3390ed6fb20372899d747336f82821e59cef342b)
@@ -23,5 +23,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/findutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/zlib.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gettext.xml"/>