Index: BOOK/appendices/dependencies/common.xml
===================================================================
--- BOOK/appendices/dependencies/common.xml	(revision 17e2ccaf836a9a98f97e1f254cb185cf2ab151e6)
+++ BOOK/appendices/dependencies/common.xml	(revision 34649df62bf6f2c2da1250ff3c079be0f4b04544)
@@ -23,5 +23,5 @@
   and install the package in question. The second lists what packages, in
   addition to those on the first list, need to be available in order to run the
-  testsuites. The last list of dependencies are packages that require this
+  test suites. The last list of dependencies are packages that require this
   package to be built and installed in its final location before they are built
   and installed. In most cases, this is because these packages will hardcode
@@ -379,5 +379,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -407,5 +407,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -435,5 +435,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -519,5 +519,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -825,5 +825,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -880,5 +880,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -908,5 +908,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -935,5 +935,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -991,5 +991,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1020,5 +1020,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1048,5 +1048,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1076,5 +1076,5 @@
 
         <seglistitem>
-          <seg>None</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1187,5 +1187,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1215,5 +1215,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1299,5 +1299,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1326,5 +1326,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1438,5 +1438,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1466,5 +1466,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1549,5 +1549,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1577,5 +1577,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1605,5 +1605,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1689,5 +1689,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1716,5 +1716,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1828,5 +1828,5 @@
 
         <seglistitem>
-          <seg>No testsuite available</seg>
+          <seg>No test suite available</seg>
         </seglistitem>
       </segmentedlist>
Index: BOOK/appendices/rationale/common.xml
===================================================================
--- BOOK/appendices/rationale/common.xml	(revision 17e2ccaf836a9a98f97e1f254cb185cf2ab151e6)
+++ BOOK/appendices/rationale/common.xml	(revision 34649df62bf6f2c2da1250ff3c079be0f4b04544)
@@ -88,5 +88,5 @@
       <para>Check</para>
       <para>This package contains a test harness for other programs. It is
-      used for some packages' testsuites.</para>
+      used for some packages' test suites.</para>
     </listitem>
 
@@ -110,5 +110,5 @@
     <listitem>
       <para>DejaGNU</para>
-      <para>This package is needed for the testsuites of several packages,
+      <para>This package is needed for the test suites of several packages,
       especially GCC and Binutils.</para>
     </listitem>
@@ -144,5 +144,5 @@
     <listitem>
       <para>Expect</para>
-      <para>This package is needed for the testsuites for several packages.</para>
+      <para>This package is needed for the test suites for several packages.</para>
     </listitem>
 
@@ -400,5 +400,5 @@
     <listitem>
       <para>Tcl</para>
-      <para>Needed for the testsuites of several packages</para>
+      <para>Needed for the test suites of several packages</para>
     </listitem>
 
Index: BOOK/boot/64/createfiles.xml
===================================================================
--- BOOK/boot/64/createfiles.xml	(revision 17e2ccaf836a9a98f97e1f254cb185cf2ab151e6)
+++ BOOK/boot/64/createfiles.xml	(revision 34649df62bf6f2c2da1250ff3c079be0f4b04544)
@@ -25,5 +25,5 @@
   xpointer="xpointer(//*[@os='c'])"/>
 
-  <para os="f">To enable some C++ tests in the Glibc and Binutils testsuites
+  <para os="f">To enable some C++ tests in the Glibc and Binutils test suites
   to link, create a directory and make some symbolic links:</para>
 
Index: BOOK/boot/common/createfiles.xml
===================================================================
--- BOOK/boot/common/createfiles.xml	(revision 17e2ccaf836a9a98f97e1f254cb185cf2ab151e6)
+++ BOOK/boot/common/createfiles.xml	(revision 34649df62bf6f2c2da1250ff3c079be0f4b04544)
@@ -47,5 +47,5 @@
       <term><parameter><filename>/bin/echo</filename></parameter></term>
       <listitem>
-        <para>This is to satisfy one of the tests in Glibc's testsuite, which
+        <para>This is to satisfy one of the tests in Glibc's test suite, which
         will fail in <command>echo</command> is not found in
         <filename class="directory">/bin</filename>.</para>
@@ -81,5 +81,5 @@
       <listitem>
         <para>This pathname is hard-coded into Expect, therefore it is needed
-        for Binutils and GCC testsuites to pass.</para>
+        for Binutils and GCC test suites to pass.</para>
       </listitem>
     </varlistentry>
@@ -103,5 +103,5 @@
       <term><parameter><filename>/usr/lib/libstdc++{,.6}</filename></parameter></term>
       <listitem>
-        <para>This is needed by several tests in Glibc's testsuite, as well as
+        <para>This is needed by several tests in Glibc's test suite, as well as
         for C++ support in GMP.</para>
       </listitem>
Index: BOOK/final-system/common/coreutils.xml
===================================================================
--- BOOK/final-system/common/coreutils.xml	(revision 17e2ccaf836a9a98f97e1f254cb185cf2ab151e6)
+++ BOOK/final-system/common/coreutils.xml	(revision 34649df62bf6f2c2da1250ff3c079be0f4b04544)
@@ -62,5 +62,5 @@
 <screen os="h"><userinput remap="test">make NON_ROOT_USERNAME=nobody check-root</userinput></screen>
 
-    <para os="i">The testsuite will now be run as the
+    <para os="i">The test suite will now be run as the
     <systemitem class="username">nobody</systemitem> user. Some tests require
     that the user be a member of more than one group. Add a temporary group
Index: BOOK/final-system/common/glibc.xml
===================================================================
--- BOOK/final-system/common/glibc.xml	(revision 17e2ccaf836a9a98f97e1f254cb185cf2ab151e6)
+++ BOOK/final-system/common/glibc.xml	(revision 34649df62bf6f2c2da1250ff3c079be0f4b04544)
@@ -103,5 +103,5 @@
     </important>
 
-    <para os="m">Use the following commands to run the testsuite and output
+    <para os="m">Use the following commands to run the test suite and output
     any test failures:</para>
 
Index: BOOK/final-system/common/perl.xml
===================================================================
--- BOOK/final-system/common/perl.xml	(revision 17e2ccaf836a9a98f97e1f254cb185cf2ab151e6)
+++ BOOK/final-system/common/perl.xml	(revision 34649df62bf6f2c2da1250ff3c079be0f4b04544)
@@ -44,5 +44,5 @@
     <para os="a01">Before starting to configure, create a basic
     <filename>/etc/hosts</filename> file which will be referenced by one
-    of Perl's configuration files as well as used by the testsuite:</para>
+    of Perl's configuration files as well as used by the test suite:</para>
 
 <screen os="a02"><userinput remap="test">echo "127.0.0.1 localhost $(hostname)" &gt; /etc/hosts</userinput></screen>
Index: BOOK/final-system/common/testsuitesagain.xml
===================================================================
--- BOOK/final-system/common/testsuitesagain.xml	(revision 17e2ccaf836a9a98f97e1f254cb185cf2ab151e6)
+++ BOOK/final-system/common/testsuitesagain.xml	(revision 34649df62bf6f2c2da1250ff3c079be0f4b04544)
@@ -12,5 +12,5 @@
 
   <para>In the final-system build, you are no longer cross-compiling so it
-  is possible to run package testsuites. Running the test suite for a
+  is possible to run package test suites. Running the test suite for a
   newly built package is a good idea because it can provide a <quote>sanity
   check</quote> indicating that everything compiled correctly. A test suite
Index: BOOK/temp-system/common/bzip2.xml
===================================================================
--- BOOK/temp-system/common/bzip2.xml	(revision 17e2ccaf836a9a98f97e1f254cb185cf2ab151e6)
+++ BOOK/temp-system/common/bzip2.xml	(revision 34649df62bf6f2c2da1250ff3c079be0f4b04544)
@@ -24,5 +24,5 @@
 
     <para os="ca">Bzip2's default <filename>Makefile</filename> target
-    automatically runs the testsuite as well. Disable the tests since they
+    automatically runs the test suite as well. Disable the tests since they
     won't work on a multi-architecture build:</para>
 
Index: BOOK/temp-system/common/coreutils.xml
===================================================================
--- BOOK/temp-system/common/coreutils.xml	(revision 17e2ccaf836a9a98f97e1f254cb185cf2ab151e6)
+++ BOOK/temp-system/common/coreutils.xml	(revision 34649df62bf6f2c2da1250ff3c079be0f4b04544)
@@ -50,5 +50,5 @@
         <listitem>
           <para>Tells Coreutils to install <command>hostname</command>,
-          which is needed for the Perl testsuite.</para>
+          which is needed for the Perl test suite.</para>
         </listitem>
       </varlistentry>
Index: BOOK/temp-system/multilib/bzip2.xml
===================================================================
--- BOOK/temp-system/multilib/bzip2.xml	(revision 17e2ccaf836a9a98f97e1f254cb185cf2ab151e6)
+++ BOOK/temp-system/multilib/bzip2.xml	(revision 34649df62bf6f2c2da1250ff3c079be0f4b04544)
@@ -24,5 +24,5 @@
 
     <para os="m1">Bzip2's default Makefile target automatically runs the
-    testsuite as well. We need to remove the tests since they won't work on
+    test suite as well. We need to remove the tests since they won't work on
     a multi-architecture build, and change the default lib path
     to <filename class="directory">lib64</filename>:</para>