Index: BOOK/appendices/dependencies/common.xml
===================================================================
--- BOOK/appendices/dependencies/common.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/appendices/dependencies/common.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -254,4 +254,31 @@
       </segmentedlist>
 
+<!-- Begin Check dependency info -->
+  <bridgehead renderas="sect2" id="check-dep">Check</bridgehead>
+
+      <segmentedlist>
+        <segtitle>&dependencies;</segtitle>
+
+        <seglistitem>
+         <seg>GCC, Grep, Make, Sed and Texinfo</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&before;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin CLooG-ISL dependency info -->
   <bridgehead renderas="sect2" id="cloog-isl-dep">CLooG-ISL</bridgehead>
@@ -899,5 +926,6 @@
 
         <seglistitem>
-         <seg>Bash, Binutils, Coreutils, EGLIBC, Gawk, GCC, Gzip, Make and Sed</seg>
+         <seg>Bash, Binutils, Coreutils, EGLIBC, Gawk, GCC, Gzip, Make, and
+         Check</seg>
         </seglistitem>
       </segmentedlist>
Index: BOOK/appendices/rationale/common.xml
===================================================================
--- BOOK/appendices/rationale/common.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/appendices/rationale/common.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -73,4 +73,9 @@
 
     <listitem>
+      <para>Check</para>
+      <para>This package contains a test harness for other programs.</para>
+    </listitem>
+
+    <listitem>
       <para>CLooG-ISL</para>
       <para>This package is used by GCC.</para>
Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/general.ent	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -3,5 +3,5 @@
 <!ENTITY month "08"> <!-- Use two digits -->
 <!ENTITY month_name "August">
-<!ENTITY day "22"> <!-- Use two digits -->
+<!ENTITY day "23"> <!-- Use two digits -->
 <!ENTITY year "2013"> <!-- Use four digits -->
 
Index: BOOK/materials/common/packages.xml
===================================================================
--- BOOK/materials/common/packages.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/materials/common/packages.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -84,4 +84,13 @@
         <para>Download: <ulink url="&bzip2-url;"/></para>
         <para>MD5 sum: <literal>&bzip2-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term>Check (&check-version;) - <token>&check-size;</token>:</term>
+      <listitem>
+        <para>Home page: <ulink url="&check-home;"/></para>
+        <para>Download: <ulink url="&check-url;"/></para>
+        <para>MD5 sum: <literal>&check-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/packages.ent	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -69,4 +69,10 @@
 <!ENTITY bzip2-md5 "00b516f4704d4a7cb50a1d97e6e8e15b">
 <!ENTITY bzip2-home "http://www.bzip.org/">
+
+<!ENTITY check-version "0.9.10">
+<!ENTITY check-size "650 KB">
+<!ENTITY check-url "http://sourceforge.net/projects/check/files/check/&check-version;/check-&check-version;.tar.gz">
+<!ENTITY check-md5 "6d10a8efb9a683467b92b3bce97aeb30">
+<!ENTITY check-home "http://check.sourceforge.net/">
 
 <!ENTITY cloog-version "0.18.0">
Index: BOOK/testsuite-tools/alpha-chapter.xml
===================================================================
--- BOOK/testsuite-tools/alpha-chapter.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/testsuite-tools/alpha-chapter.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -16,4 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dejagnu.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/check.xml"/>
 
 </chapter>
Index: BOOK/testsuite-tools/common/check.xml
===================================================================
--- BOOK/testsuite-tools/common/check.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
+++ BOOK/testsuite-tools/common/check.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -0,0 +1,85 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-testsuite-tools-check" role="wrap">
+  <?dbhtml filename="check.html"?>
+
+  <title>Check-&check-version;</title>
+
+  <indexterm zone="ch-testsuite-tools-check">
+    <primary sortas="a-Check">Check</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title/>
+
+    <para>The Check package is a unit testing framework for C.</para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Check</title>
+
+    <para os="c">Prepare Check for compilation:</para>
+
+<screen os="d"><userinput>./configure --prefix=/tools</userinput></screen>
+
+    <para os="f">Build the package:</para>
+
+<screen os="g"><userinput>make</userinput></screen>
+
+    <para os="i">Install the package:</para>
+
+<screen os="j"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 id="contents-check" role="content">
+    <title>Contents of Check</title>
+
+    <segmentedlist>
+      <segtitle>Installed program</segtitle>
+      <segtitle>Installed library</segtitle>
+
+      <seglistitem>
+        <seg>checkmk</seg>
+        <seg>libcheck.{a,so}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="checkmk">
+        <term><command>checkmk</command></term>
+        <listitem>
+          <para>Awk script for generating C unit tests for use with the C the
+          Check unit testing framework</para>
+          <indexterm zone="ch-testsuite-tools-check checkmk">
+            <primary sortas="b-check">checkmk</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcheck">
+        <term><filename class="libraryfile">libcheck.{a,so}</filename></term>
+        <listitem>
+          <para>Contains functions that allow Check to be called from a test
+          program</para>
+          <indexterm zone="ch-testsuite-tools-check libcheck">
+            <primary sortas="c-libcheck">libcheck.{a,so};</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: BOOK/testsuite-tools/common/introduction.xml
===================================================================
--- BOOK/testsuite-tools/common/introduction.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/testsuite-tools/common/introduction.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -13,8 +13,8 @@
   <para>This chapter builds the tools needed by some packages to run the tests
   that they have. I.e., <command>make check</command>. Tcl, Expect,
-  and DejaGNU are needed for the GCC and Binutils testsuites. Installing
-  three packages for testing purposes may seem excessive, but it is very
-  reassuring, if not essential, to know that the most important tools are
-  working properly.</para>
+  and DejaGNU are needed for the GCC and Binutils testsuites. Check is needed
+  for KBD tests. Installing four packages for testing purposes may seem
+  excessive, but it is very reassuring, if not essential, to know that the most
+  important tools are working properly.</para>
 
 </sect1>
Index: BOOK/testsuite-tools/mips-chapter.xml
===================================================================
--- BOOK/testsuite-tools/mips-chapter.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/testsuite-tools/mips-chapter.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -16,4 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dejagnu.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/check.xml"/>
 
 </chapter>
Index: BOOK/testsuite-tools/mips64-64-chapter.xml
===================================================================
--- BOOK/testsuite-tools/mips64-64-chapter.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/testsuite-tools/mips64-64-chapter.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -16,4 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dejagnu.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/check.xml"/>
 
 </chapter>
Index: BOOK/testsuite-tools/mips64-chapter.xml
===================================================================
--- BOOK/testsuite-tools/mips64-chapter.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/testsuite-tools/mips64-chapter.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -16,4 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dejagnu.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/check.xml"/>
 
 </chapter>
Index: BOOK/testsuite-tools/multilib/check.xml
===================================================================
--- BOOK/testsuite-tools/multilib/check.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
+++ BOOK/testsuite-tools/multilib/check.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -0,0 +1,52 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-testsuite-tools-check" role="wrap">
+  <?dbhtml filename="check.html"?>
+
+  <title>Check-&check-version;</title>
+
+  <indexterm zone="ch-testsuite-tools-check">
+    <primary sortas="a-Check">Check</primary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/check.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of Check</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/check.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
+
+<screen os="d"><userinput>CC="gcc ${BUILD64}" ./configure --prefix=/tools --libdir=/tools/lib64</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/check.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/check.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/check.xml"
+    xpointer="xpointer(//*[@os='i'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/check.xml"
+    xpointer="xpointer(//*[@os='j'])"/>
+
+  </sect2>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/check.xml"
+  xpointer="xpointer(id('contents-check'))"/>
+
+</sect1>
Index: BOOK/testsuite-tools/ppc-chapter.xml
===================================================================
--- BOOK/testsuite-tools/ppc-chapter.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/testsuite-tools/ppc-chapter.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -16,4 +16,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dejagnu.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/check.xml"/>
+
 
 </chapter>
Index: BOOK/testsuite-tools/ppc64-64-chapter.xml
===================================================================
--- BOOK/testsuite-tools/ppc64-64-chapter.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/testsuite-tools/ppc64-64-chapter.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -16,4 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dejagnu.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/check.xml"/>
 
 </chapter>
Index: BOOK/testsuite-tools/ppc64-chapter.xml
===================================================================
--- BOOK/testsuite-tools/ppc64-chapter.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/testsuite-tools/ppc64-chapter.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -16,4 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dejagnu.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/check.xml"/>
 
 </chapter>
Index: BOOK/testsuite-tools/sparc-chapter.xml
===================================================================
--- BOOK/testsuite-tools/sparc-chapter.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/testsuite-tools/sparc-chapter.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -16,4 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dejagnu.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/check.xml"/>
 
 </chapter>
Index: BOOK/testsuite-tools/sparc64-64-chapter.xml
===================================================================
--- BOOK/testsuite-tools/sparc64-64-chapter.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/testsuite-tools/sparc64-64-chapter.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -16,4 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dejagnu.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/check.xml"/>
 
 </chapter>
Index: BOOK/testsuite-tools/sparc64-chapter.xml
===================================================================
--- BOOK/testsuite-tools/sparc64-chapter.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/testsuite-tools/sparc64-chapter.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -16,4 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dejagnu.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/check.xml"/>
 
 </chapter>
Index: BOOK/testsuite-tools/x86-chapter.xml
===================================================================
--- BOOK/testsuite-tools/x86-chapter.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/testsuite-tools/x86-chapter.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -16,4 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dejagnu.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/check.xml"/>
 
 </chapter>
Index: BOOK/testsuite-tools/x86_64-64-chapter.xml
===================================================================
--- BOOK/testsuite-tools/x86_64-64-chapter.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/testsuite-tools/x86_64-64-chapter.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -16,4 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dejagnu.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/check.xml"/>
 
 </chapter>
Index: BOOK/testsuite-tools/x86_64-chapter.xml
===================================================================
--- BOOK/testsuite-tools/x86_64-chapter.xml	(revision 1d9abb973de730e4e28a7aa63c0b72cca867d0e9)
+++ BOOK/testsuite-tools/x86_64-chapter.xml	(revision 3540f2da1731db1d3681a5a2c16bab3e2bf81bd6)
@@ -16,4 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dejagnu.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/check.xml"/>
 
 </chapter>