Index: boot/x86_64-64/grub-build.xml
===================================================================
--- boot/x86_64-64/grub-build.xml	(revision a493c81d938b16288747d458878acd33fedcfcf1)
+++ boot/x86_64-64/grub-build.xml	(revision 3680b283657e15b8b23c56681088ba113a229e6f)
@@ -59,5 +59,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
+    xpointer="xpointer(//*[@os='f'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: boot/x86_64/grub-build.xml
===================================================================
--- boot/x86_64/grub-build.xml	(revision a493c81d938b16288747d458878acd33fedcfcf1)
+++ boot/x86_64/grub-build.xml	(revision 3680b283657e15b8b23c56681088ba113a229e6f)
@@ -44,5 +44,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
+    xpointer="xpointer(//*[@os='f'])"/>
 
 <screen os="ab"><userinput>make install
Index: chroot/common/kernfs.xml
===================================================================
--- chroot/common/kernfs.xml	(revision a493c81d938b16288747d458878acd33fedcfcf1)
+++ chroot/common/kernfs.xml	(revision 3680b283657e15b8b23c56681088ba113a229e6f)
@@ -16,5 +16,5 @@
   class="username">lfs</systemitem>.</para>
 
-<screen><userinput>exit</userinput></screen>
+<screen role="nodump"><userinput>exit</userinput></screen>
 
   <para>Various file systems exported by the kernel are used to communicate
Index: chroot/common/pwdgroup.xml
===================================================================
--- chroot/common/pwdgroup.xml	(revision a493c81d938b16288747d458878acd33fedcfcf1)
+++ chroot/common/pwdgroup.xml	(revision 3680b283657e15b8b23c56681088ba113a229e6f)
@@ -102,5 +102,5 @@
   and group name resolution will now work.</para>
 
-<screen><userinput>exec /tools/bin/bash --login +h</userinput></screen>
+<screen role="nodump"><userinput>exec /tools/bin/bash --login +h</userinput></screen>
 
   <para>Note the use of the <parameter>+h</parameter> directive. This tells
Index: final-system/common/bash.xml
===================================================================
--- final-system/common/bash.xml	(revision a493c81d938b16288747d458878acd33fedcfcf1)
+++ final-system/common/bash.xml	(revision 3680b283657e15b8b23c56681088ba113a229e6f)
@@ -79,5 +79,5 @@
     the one that is currently being executed):</para>
 
-<screen os="p"><userinput>exec /bin/bash --login +h</userinput></screen>
+<screen os="p" role="nodump"><userinput>exec /bin/bash --login +h</userinput></screen>
 
     <note os="q">
Index: final-system/common/binutils.xml
===================================================================
--- final-system/common/binutils.xml	(revision a493c81d938b16288747d458878acd33fedcfcf1)
+++ final-system/common/binutils.xml	(revision 3680b283657e15b8b23c56681088ba113a229e6f)
@@ -39,5 +39,5 @@
     simple test:</para>
 
-<screen os="c"><userinput>expect -c "spawn ls"</userinput></screen>
+<screen os="c" role="nodump"><userinput>expect -c "spawn ls"</userinput></screen>
 
     <para os="d">If the following message shows up, the environment is not
Index: final-system/common/glibc.xml
===================================================================
--- final-system/common/glibc.xml	(revision a493c81d938b16288747d458878acd33fedcfcf1)
+++ final-system/common/glibc.xml	(revision 3680b283657e15b8b23c56681088ba113a229e6f)
@@ -238,5 +238,5 @@
     <para>To determine the local time zone, run the following script:</para>
 
-<screen><userinput>tzselect</userinput></screen>
+<screen role="nodump"><userinput>tzselect</userinput></screen>
 
     <para>After answering a few questions about the location, the script will
Index: final-system/common/shadow.xml
===================================================================
--- final-system/common/shadow.xml	(revision a493c81d938b16288747d458878acd33fedcfcf1)
+++ final-system/common/shadow.xml	(revision 3680b283657e15b8b23c56681088ba113a229e6f)
@@ -184,5 +184,5 @@
     class="username">root</systemitem> and set it by running:</para>
 
-<screen><userinput>passwd root</userinput></screen>
+<screen role="nodump"><userinput>passwd root</userinput></screen>
 
   </sect2>
Index: final-system/common/texinfo.xml
===================================================================
--- final-system/common/texinfo.xml	(revision a493c81d938b16288747d458878acd33fedcfcf1)
+++ final-system/common/texinfo.xml	(revision 3680b283657e15b8b23c56681088ba113a229e6f)
@@ -82,5 +82,5 @@
     the following optional commands will accomplish the task:</para>
 
-<screen os="l"><userinput>cd /usr/share/info
+<screen os="l" role="nodump"><userinput>cd /usr/share/info
 rm dir
 for f in *
Index: final-system/common/vim.xml
===================================================================
--- final-system/common/vim.xml	(revision a493c81d938b16288747d458878acd33fedcfcf1)
+++ final-system/common/vim.xml	(revision 3680b283657e15b8b23c56681088ba113a229e6f)
@@ -157,5 +157,5 @@
     running the following command:</para>
 
-<screen><userinput>vim -c ':options'</userinput></screen>
+<screen role="nodump"><userinput>vim -c ':options'</userinput></screen>
 
   </sect2>