Index: BOOK/materials/common/patches.xml
===================================================================
--- BOOK/materials/common/patches.xml	(revision fb40919e2f519cdebc9b859c24331db4552df36e)
+++ BOOK/materials/common/patches.xml	(revision 3739acc59c31428e9acb58f72167b20a7256fe90)
@@ -23,5 +23,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;bash/&bash-fixes-patch;"/></para>
+        url="&patches-root;&bash-fixes-patch;"/></para>
         <para>MD5 sum: <literal>&bash-fixes-patch-md5;</literal></para>
       </listitem>
@@ -32,5 +32,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;binutils/&binutils-posix-patch;"/></para>
+        url="&patches-root;&binutils-posix-patch;"/></para>
         <para>MD5 sum: <literal>&binutils-posix-patch-md5;</literal></para>
       </listitem>
@@ -41,5 +41,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;bzip2/&bzip2-docs-patch;"/></para>
+        url="&patches-root;&bzip2-docs-patch;"/></para>
         <para>MD5 sum: <literal>&bzip2-docs-patch-md5;</literal></para>
       </listitem>
@@ -50,5 +50,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;bzip2/&bzip2-remove_tempfile-patch;"/></para>
+        url="&patches-root;&bzip2-remove_tempfile-patch;"/></para>
         <para>MD5 sum: <literal>&bzip2-remove_tempfile-patch-md5;</literal></para>
       </listitem>
@@ -59,5 +59,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;bzip2/&bzip2-bzgrep-patch;"/></para>
+        url="&patches-root;&bzip2-bzgrep-patch;"/></para>
         <para>MD5 sum: <literal>&bzip2-bzgrep-patch-md5;</literal></para>
       </listitem>
@@ -68,5 +68,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;coreutils/&coreutils-suppress-patch;"/></para>
+        url="&patches-root;&coreutils-suppress-patch;"/></para>
         <para>MD5 sum: <literal>&coreutils-suppress-patch-md5;</literal></para>
       </listitem>
@@ -77,5 +77,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;expect/&expect-spawn-patch;"/></para>
+        url="&patches-root;&expect-spawn-patch;"/></para>
         <para>MD5 sum: <literal>&expect-spawn-patch-md5;</literal></para>
       </listitem>
@@ -86,5 +86,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gawk/&gawk-segfault-patch;"/></para>
+        url="&patches-root;&gawk-segfault-patch;"/></para>
         <para>MD5 sum: <literal>&gawk-segfault-patch-md5;</literal></para>
       </listitem>
@@ -95,5 +95,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gcc/&gcc-cross_search-patch;"/></para>
+        url="&patches-root;&gcc-cross_search-patch;"/></para>
         <para>MD5 sum: <literal>&gcc-cross_search-patch-md5;</literal></para>
       </listitem>
@@ -104,5 +104,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gcc/&gcc-PR20425-patch;"/></para>
+        url="&patches-root;&gcc-PR20425-patch;"/></para>
         <para>MD5 sum: <literal>&gcc-PR20425-patch-md5;</literal></para>
       </listitem>
@@ -113,5 +113,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gcc/&gcc-posix-patch;"/></para>
+        url="&patches-root;&gcc-posix-patch;"/></para>
         <para>MD5 sum: <literal>&gcc-posix-patch-md5;</literal></para>
       </listitem>
@@ -122,5 +122,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;glibc/&glibc-iconv_fix-patch;"/></para>
+        url="&patches-root;&glibc-iconv_fix-patch;"/></para>
         <para>MD5 sum: <literal>&glibc-iconv_fix-patch-md5;</literal></para>
       </listitem>
@@ -131,5 +131,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;glibc/&glibc-libgcc_eh-patch;"/></para>
+        url="&patches-root;&glibc-libgcc_eh-patch;"/></para>
         <para>MD5 sum: <literal>&glibc-libgcc_eh-patch-md5;</literal></para>
       </listitem>
@@ -140,5 +140,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;glibc/&glibc-localedef_segfault-patch;"/></para>
+        url="&patches-root;&glibc-localedef_segfault-patch;"/></para>
         <para>MD5 sum: <literal>&glibc-localedef_segfault-patch-md5;</literal></para>
       </listitem>
@@ -149,5 +149,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gzip/&gzip-security_fix-patch;"/></para>
+        url="&patches-root;&gzip-security_fix-patch;"/></para>
         <para>MD5 sum: <literal>&gzip-security_fix-patch-md5;</literal></para>
       </listitem>
@@ -158,5 +158,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;inetutils/&inetutils-gcc4_fixes-patch;"/></para>
+        url="&patches-root;&inetutils-gcc4_fixes-patch;"/></para>
         <para>MD5 sum: <literal>&inetutils-gcc4_fixes-patch-md5;</literal></para>
       </listitem>
@@ -167,5 +167,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;inetutils/&inetutils-man_pages-patch;"/></para>
+        url="&patches-root;&inetutils-man_pages-patch;"/></para>
         <para>MD5 sum: <literal>&inetutils-man_pages-patch-md5;</literal></para>
       </listitem>
@@ -176,5 +176,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;kbd/&kbd-gcc4_fixes-patch;"/></para>
+        url="&patches-root;&kbd-gcc4_fixes-patch;"/></para>
         <para>MD5 sum: <literal>&kbd-gcc4_fixes-patch-md5;</literal></para>
       </listitem>
@@ -185,5 +185,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;mktemp/&mktemp-tempfile-patch;"/></para>
+        url="&patches-root;&mktemp-tempfile-patch;"/></para>
         <para>MD5 sum: <literal>&mktemp-tempfile-patch-md5;</literal></para>
       </listitem>
@@ -194,5 +194,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;perl/&perl-libc-patch;"/></para>
+        url="&patches-root;&perl-libc-patch;"/></para>
         <para>MD5 sum: <literal>&perl-libc-patch-md5;</literal></para>
       </listitem>
@@ -203,5 +203,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;readline/&readline-fixes-patch;"/></para>
+        url="&patches-root;&readline-fixes-patch;"/></para>
         <para>MD5 sum: <literal>&readline-fixes-patch-md5;</literal></para>
       </listitem>
@@ -212,5 +212,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;sysklogd/&sysklogd-fixes-patch;"/></para>
+        url="&patches-root;&sysklogd-fixes-patch;"/></para>
         <para>MD5 sum: <literal>&sysklogd-fixes-patch-md5;</literal></para>
       </listitem>
@@ -221,5 +221,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;tar/&tar-gcc4_fix-patch;"/></para>
+        url="&patches-root;&tar-gcc4_fix-patch;"/></para>
         <para>MD5 sum: <literal>&tar-gcc4_fix-patch-md5;</literal></para>
       </listitem>
@@ -230,5 +230,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;tar/&tar-security_fixes-patch;"/></para>
+        url="&patches-root;&tar-security_fixes-patch;"/></para>
         <para>MD5 sum: <literal>&tar-security_fixes-patch-md5;</literal></para>
       </listitem>
@@ -239,5 +239,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;tar/&tar-sparse_fix-patch;"/></para>
+        url="&patches-root;&tar-sparse_fix-patch;"/></para>
         <para>MD5 sum: <literal>&tar-sparse_fix-patch-md5;</literal></para>
       </listitem>
@@ -248,5 +248,5 @@
        <listitem>
         <para>Download: <ulink
-        url="&patches-root;texinfo/&texinfo-tempfile_fix-patch;"/></para>
+        url="&patches-root;&texinfo-tempfile_fix-patch;"/></para>
         <para>MD5 sum: <literal>&texinfo-tempfile_fix-patch-md5;</literal></para>
        </listitem>
@@ -256,5 +256,5 @@
       <term>Util-linux Cramfs Patch - <token>&util-linux-cramfs-patch-size;</token>:</term> <listitem>
         <para>Download: <ulink
-        url="&patches-root;util-linux/&util-linux-cramfs-patch;"/></para>
+        url="&patches-root;&util-linux-cramfs-patch;"/></para>
         <para>MD5 sum: <literal>&util-linux-cramfs-patch-md5;</literal></para>
       </listitem>
@@ -264,5 +264,5 @@
       <term>Util-linux GCC 4.x Patch - <token>&util-linux-gcc4_fixes-patch-size;</token>:</term> <listitem>
         <para>Download: <ulink
-        url="&patches-root;util-linux/&util-linux-gcc4_fixes-patch;"/></para>
+        url="&patches-root;&util-linux-gcc4_fixes-patch;"/></para>
         <para>MD5 sum: <literal>&util-linux-gcc4_fixes-patch-md5;</literal></para>
       </listitem>
@@ -272,5 +272,5 @@
       <term>Util-linux Missing Header Patch - <token>&util-linux-missing_header-patch-size;</token>:</term> <listitem>
         <para>Download: <ulink
-        url="&patches-root;util-linux/&util-linux-missing_header-patch;"/></para>
+        url="&patches-root;&util-linux-missing_header-patch;"/></para>
         <para>MD5 sum: <literal>&util-linux-missing_header-patch-md5;</literal></para>
       </listitem>
@@ -281,5 +281,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;vim/&vim-fixes-patch;"/></para>
+        url="&patches-root;&vim-fixes-patch;"/></para>
         <para>MD5 sum: <literal>&vim-fixes-patch-md5;</literal></para>
       </listitem>
@@ -289,5 +289,5 @@
       <term>Zlib fPIC Patch - <token>&zlib-fpic-patch-size;</token>:</term> <listitem>
         <para>Download: <ulink
-        url="&patches-root;zlib/&zlib-fpic-patch;"/></para>
+        url="&patches-root;&zlib-fpic-patch;"/></para>
         <para>MD5 sum: <literal>&zlib-fpic-patch-md5;</literal></para>
       </listitem>