Index: BOOK/bootscripts/common/introduction.xml
===================================================================
--- BOOK/bootscripts/common/introduction.xml	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/bootscripts/common/introduction.xml	(revision 3908fc6f0bb4a6d03d92800b3bfaeaba71d0632d)
@@ -19,5 +19,5 @@
   are widely used. For additional options, a hint detailing the BSD style
   init setup is available at <ulink
-  url="http://www.linuxfromscratch.org/hints/downloads/files/bsd-init.txt"/>.
+  url="&hints-root;bsd-init.txt"/>.
   Searching the LFS mailing lists for <quote>depinit</quote> will also offer
   additional choices.</para>
Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/general.ent	(revision 3908fc6f0bb4a6d03d92800b3bfaeaba71d0632d)
@@ -3,13 +3,12 @@
 <!ENTITY major-version "2">
 <!ENTITY minor-version "0">
-<!ENTITY extra-version "1">
+<!ENTITY extra-version "0">
 
-<!ENTITY version "SVN-&major-version;.&minor-version;.&extra-version;-20060620">
+<!ENTITY version "SVN-&major-version;.&minor-version;.&extra-version;-20060628">
+<!ENTITY releasedate "June 28, 2006">
+<!ENTITY milestone "2.0.0">
+<!ENTITY generic-version "svn"> <!-- Use "svn", "testing", or "x.y[-pre{x}]" -->
 
 <!ENTITY version-ARM "&version;-ARM">
-
-<!ENTITY releasedate "June 21, 2006">
-<!ENTITY milestone "0.2">
-<!ENTITY generic-version "svn"> <!-- Use "svn", "testing", or "x.y[-pre{x}]" -->
 
 <!ENTITY lfs-root "http://www.linuxfromscratch.org/">
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/introduction/common/changelog.xml	(revision 3908fc6f0bb4a6d03d92800b3bfaeaba71d0632d)
@@ -14,5 +14,5 @@
   &releasedate;. If this book is more than six months old, a newer and better
   version is probably already available. To find out, please check one of the
-  mirrors via <ulink url="&lfs-root;"/>.</para>
+  mirrors via <ulink url="&clfs-root;"/>.</para>
 
   <para>Below is a list of detailed changes made since the previous release of
@@ -36,4 +36,13 @@
     </listitem>
 -->
+
+    <listitem>
+      <para>June 28, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jciccone] - Updated to linux-headers-2.6.17.1-06272006.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: BOOK/introduction/common/resources.xml
===================================================================
--- BOOK/introduction/common/resources.xml	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/introduction/common/resources.xml	(revision 3908fc6f0bb4a6d03d92800b3bfaeaba71d0632d)
@@ -56,5 +56,5 @@
     named #cross-lfs. For support on the standard LFS the support channel
     is named #lfs-support. If you need to show people the output of your
-    problems, please use http://pastebin.linuxfromscratch.org and reference
+    problems, please use http://pastebin.cross-lfs.org and reference
     the pastebin URL when asking your questions.</para>
 
Index: BOOK/materials/arm/patches.xml
===================================================================
--- BOOK/materials/arm/patches.xml	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/materials/arm/patches.xml	(revision 3908fc6f0bb4a6d03d92800b3bfaeaba71d0632d)
@@ -33,4 +33,5 @@
   </variablelist>
 -->
+
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
   href="../common/patches.xml"
Index: BOOK/materials/common/packages.xml
===================================================================
--- BOOK/materials/common/packages.xml	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/materials/common/packages.xml	(revision 3908fc6f0bb4a6d03d92800b3bfaeaba71d0632d)
@@ -127,5 +127,5 @@
           released. An alternative download location that may have the
           correct version available is <ulink
-          url="http://www.linuxfromscratch.org/lfs/download.html#ftp"/>.</para>
+          url="&packages-root;"/>.</para>
         </note>
       </listitem>
@@ -415,5 +415,5 @@
           released. An alternative download location that may have the
           correct version available is <ulink
-          url="http://www.linuxfromscratch.org/lfs/download.html#ftp"/>.</para>
+          url="&packages-root;"/>.</para>
         </note>
       </listitem>
Index: BOOK/materials/common/patches.xml
===================================================================
--- BOOK/materials/common/patches.xml	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/materials/common/patches.xml	(revision 3908fc6f0bb4a6d03d92800b3bfaeaba71d0632d)
@@ -23,5 +23,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;bash/&bash-fixes-patch;"/></para>
+        url="&patches-root;&bash-fixes-patch;"/></para>
         <para>MD5 sum: <literal>&bash-fixes-patch-md5;</literal></para>
       </listitem>
@@ -32,5 +32,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;binutils/&binutils-posix-patch;"/></para>
+        url="&patches-root;&binutils-posix-patch;"/></para>
         <para>MD5 sum: <literal>&binutils-posix-patch-md5;</literal></para>
       </listitem>
@@ -41,5 +41,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;bzip2/&bzip2-docs-patch;"/></para>
+        url="&patches-root;&bzip2-docs-patch;"/></para>
         <para>MD5 sum: <literal>&bzip2-docs-patch-md5;</literal></para>
       </listitem>
@@ -50,5 +50,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;bzip2/&bzip2-remove_tempfile-patch;"/></para>
+        url="&patches-root;&bzip2-remove_tempfile-patch;"/></para>
         <para>MD5 sum: <literal>&bzip2-remove_tempfile-patch-md5;</literal></para>
       </listitem>
@@ -59,5 +59,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;bzip2/&bzip2-bzgrep-patch;"/></para>
+        url="&patches-root;&bzip2-bzgrep-patch;"/></para>
         <para>MD5 sum: <literal>&bzip2-bzgrep-patch-md5;</literal></para>
       </listitem>
@@ -68,5 +68,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;coreutils/&coreutils-suppress-patch;"/></para>
+        url="&patches-root;&coreutils-suppress-patch;"/></para>
         <para>MD5 sum: <literal>&coreutils-suppress-patch-md5;</literal></para>
       </listitem>
@@ -77,5 +77,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gawk/&gawk-segfault-patch;"/></para>
+        url="&patches-root;&gawk-segfault-patch;"/></para>
         <para>MD5 sum: <literal>&gawk-segfault-patch-md5;</literal></para>
       </listitem>
@@ -86,5 +86,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gcc/&gcc-cross_search-patch;"/></para>
+        url="&patches-root;&gcc-cross_search-patch;"/></para>
         <para>MD5 sum: <literal>&gcc-cross_search-patch-md5;</literal></para>
       </listitem>
@@ -95,5 +95,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gcc/&gcc-PR20425-patch;"/></para>
+        url="&patches-root;&gcc-PR20425-patch;"/></para>
         <para>MD5 sum: <literal>&gcc-PR20425-patch-md5;</literal></para>
       </listitem>
@@ -104,5 +104,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gcc/&gcc-posix-patch;"/></para>
+        url="&patches-root;&gcc-posix-patch;"/></para>
         <para>MD5 sum: <literal>&gcc-posix-patch-md5;</literal></para>
       </listitem>
@@ -113,5 +113,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;glibc/&glibc-crosscompile_timezone_fix-patch;"/></para>
+        url="&patches-root;&glibc-crosscompile_timezone_fix-patch;"/></para>
         <para>MD5 sum: <literal>&glibc-crosscompile_timezone_fix-patch-md5;</literal></para>
       </listitem>
@@ -122,5 +122,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;glibc/&glibc-iconv_fix-patch;"/></para>
+        url="&patches-root;&glibc-iconv_fix-patch;"/></para>
         <para>MD5 sum: <literal>&glibc-iconv_fix-patch-md5;</literal></para>
       </listitem>
@@ -131,5 +131,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;glibc/&glibc-libgcc_eh-patch;"/></para>
+        url="&patches-root;&glibc-libgcc_eh-patch;"/></para>
         <para>MD5 sum: <literal>&glibc-libgcc_eh-patch-md5;</literal></para>
       </listitem>
@@ -140,5 +140,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;glibc/&glibc-localedef_segfault-patch;"/></para>
+        url="&patches-root;&glibc-localedef_segfault-patch;"/></para>
         <para>MD5 sum: <literal>&glibc-localedef_segfault-patch-md5;</literal></para>
       </listitem>
@@ -149,5 +149,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gzip/&gzip-security_fix-patch;"/></para>
+        url="&patches-root;&gzip-security_fix-patch;"/></para>
         <para>MD5 sum: <literal>&gzip-security_fix-patch-md5;</literal></para>
       </listitem>
@@ -158,5 +158,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;inetutils/&inetutils-gcc4_fixes-patch;"/></para>
+        url="&patches-root;&inetutils-gcc4_fixes-patch;"/></para>
         <para>MD5 sum: <literal>&inetutils-gcc4_fixes-patch-md5;</literal></para>
       </listitem>
@@ -167,5 +167,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;inetutils/&inetutils-man_pages-patch;"/></para>
+        url="&patches-root;&inetutils-man_pages-patch;"/></para>
         <para>MD5 sum: <literal>&inetutils-man_pages-patch-md5;</literal></para>
       </listitem>
@@ -176,5 +176,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;kbd/&kbd-gcc4_fixes-patch;"/></para>
+        url="&patches-root;&kbd-gcc4_fixes-patch;"/></para>
         <para>MD5 sum: <literal>&kbd-gcc4_fixes-patch-md5;</literal></para>
       </listitem>
@@ -185,5 +185,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;mktemp/&mktemp-tempfile-patch;"/></para>
+        url="&patches-root;&mktemp-tempfile-patch;"/></para>
         <para>MD5 sum: <literal>&mktemp-tempfile-patch-md5;</literal></para>
       </listitem>
@@ -194,5 +194,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;readline/&readline-fixes-patch;"/></para>
+        url="&patches-root;&readline-fixes-patch;"/></para>
         <para>MD5 sum: <literal>&readline-fixes-patch-md5;</literal></para>
       </listitem>
@@ -203,5 +203,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;sysklogd/&sysklogd-fixes-patch;"/></para>
+        url="&patches-root;&sysklogd-fixes-patch;"/></para>
         <para>MD5 sum: <literal>&sysklogd-fixes-patch-md5;</literal></para>
       </listitem>
@@ -212,5 +212,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;tar/&tar-gcc4_fix-patch;"/></para>
+        url="&patches-root;&tar-gcc4_fix-patch;"/></para>
         <para>MD5 sum: <literal>&tar-gcc4_fix-patch-md5;</literal></para>
       </listitem>
@@ -221,5 +221,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;tar/&tar-security_fixes-patch;"/></para>
+        url="&patches-root;&tar-security_fixes-patch;"/></para>
         <para>MD5 sum: <literal>&tar-security_fixes-patch-md5;</literal></para>
       </listitem>
@@ -230,5 +230,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;tar/&tar-sparse_fix-patch;"/></para>
+        url="&patches-root;&tar-sparse_fix-patch;"/></para>
         <para>MD5 sum: <literal>&tar-sparse_fix-patch-md5;</literal></para>
       </listitem>
@@ -239,5 +239,5 @@
        <listitem>
         <para>Download: <ulink
-        url="&patches-root;texinfo/&texinfo-tempfile_fix-patch;"/></para>
+        url="&patches-root;&texinfo-tempfile_fix-patch;"/></para>
         <para>MD5 sum: <literal>&texinfo-tempfile_fix-patch-md5;</literal></para>
        </listitem>
@@ -247,5 +247,5 @@
       <term>Util-linux Cramfs Patch - <token>&util-linux-cramfs-patch-size;</token>:</term> <listitem>
         <para>Download: <ulink
-        url="&patches-root;util-linux/&util-linux-cramfs-patch;"/></para>
+        url="&patches-root;&util-linux-cramfs-patch;"/></para>
         <para>MD5 sum: <literal>&util-linux-cramfs-patch-md5;</literal></para>
       </listitem>
@@ -255,5 +255,5 @@
       <term>Util-linux GCC 4.x Patch - <token>&util-linux-gcc4_fixes-patch-size;</token>:</term> <listitem>
         <para>Download: <ulink
-        url="&patches-root;util-linux/&util-linux-gcc4_fixes-patch;"/></para>
+        url="&patches-root;&util-linux-gcc4_fixes-patch;"/></para>
         <para>MD5 sum: <literal>&util-linux-gcc4_fixes-patch-md5;</literal></para>
       </listitem>
@@ -263,5 +263,5 @@
       <term>Util-linux Missing Header Patch - <token>&util-linux-missing_header-patch-size;</token>:</term> <listitem>
         <para>Download: <ulink
-        url="&patches-root;util-linux/&util-linux-missing_header-patch;"/></para>
+        url="&patches-root;&util-linux-missing_header-patch;"/></para>
         <para>MD5 sum: <literal>&util-linux-missing_header-patch-md5;</literal></para>
       </listitem>
@@ -272,5 +272,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;vim/&vim-cross_compile-patch;"/></para>
+        url="&patches-root;&vim-cross_compile-patch;"/></para>
         <para>MD5 sum: <literal>&vim-cross_compile-patch-md5;</literal></para>
       </listitem>
@@ -281,5 +281,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;vim/&vim-fixes-patch;"/></para>
+        url="&patches-root;&vim-fixes-patch;"/></para>
         <para>MD5 sum: <literal>&vim-fixes-patch-md5;</literal></para>
       </listitem>
@@ -289,5 +289,5 @@
       <term>Zlib fPIC Patch - <token>&zlib-fpic-patch-size;</token>:</term> <listitem>
         <para>Download: <ulink
-        url="&patches-root;zlib/&zlib-fpic-patch;"/></para>
+        url="&patches-root;&zlib-fpic-patch;"/></para>
         <para>MD5 sum: <literal>&zlib-fpic-patch-md5;</literal></para>
       </listitem>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/packages.ent	(revision 3908fc6f0bb4a6d03d92800b3bfaeaba71d0632d)
@@ -1,3 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
+
+<!ENTITY packages-root "http://cross-lfs.org/files/packages/&generic-version;/">
 
 <!-- Note: For empty *-home entities use " " not "" -->
@@ -236,8 +238,8 @@
 <!ENTITY linux-home "http://www.kernel.org/">
 
-<!ENTITY linux-headers-version "&linux-version;-06212006">
-<!ENTITY linux-headers-size "1,752 KB">
+<!ENTITY linux-headers-version "&linux-version;-06272006">
+<!ENTITY linux-headers-size "1,760 KB">
 <!ENTITY linux-headers-url "http://ftp.jg555.com/headers/linux-headers-&linux-headers-version;.tar.bz2">
-<!ENTITY linux-headers-md5 "1a42187caf112bd4c5b67a2e724d7615">
+<!ENTITY linux-headers-md5 "d225a9ad6aa6735a19834b6af2c7fa4f">
 <!ENTITY linux-headers-home "http://headers.cross-lfs.org/">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/patches.ent	(revision 3908fc6f0bb4a6d03d92800b3bfaeaba71d0632d)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 
-<!ENTITY patches-root "&lfs-root;patches/downloads/">
+<!ENTITY patches-root "http://cross-lfs.org/files/patches/&generic-version;/">
 
 <!-- Start of Common Patches -->