Index: BOOK/final-system/64/binutils.xml
===================================================================
--- BOOK/final-system/64/binutils.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/64/binutils.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -70,5 +70,6 @@
     xpointer="xpointer(//*[@os='i'])"/>
 
-<screen os="ca"><userinput>CC="gcc -Wl,-rpath-link,/lib -isystem /usr/include" \
+<screen os="ca"><userinput>CC="gcc -isystem /usr/include" \
+    LDFLAGS="-Wl,-rpath-link,/lib" \
     ../binutils-&binutils-version;/configure --prefix=/usr \
     --libdir=/usr/lib --enable-shared \
Index: BOOK/final-system/common/binutils.xml
===================================================================
--- BOOK/final-system/common/binutils.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/common/binutils.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -54,5 +54,6 @@
     <para os="i">Prepare Binutils for compilation:</para>
 
-<screen os="ca"><userinput>CC="gcc -Wl,-rpath-link,/lib -isystem /usr/include" \
+<screen os="ca"><userinput>CC="gcc -isystem /usr/include" \
+    LDFLAGS="-Wl,-rpath-link,/lib" \
     ../binutils-&binutils-version;/configure --prefix=/usr \
     --enable-shared</userinput></screen>
Index: BOOK/final-system/common/gmp.xml
===================================================================
--- BOOK/final-system/common/gmp.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/common/gmp.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -34,6 +34,6 @@
     <para os="a">Prepare GMP for compilation:</para>
 
-<screen os="b"><userinput>CC="gcc -Wl,-rpath-link,/lib -isystem /usr/include" \
-   CXX="g++ -Wl,-rpath-link,/lib -isystem /usr/include" ./configure --prefix=/usr \
+<screen os="b"><userinput>CC="gcc -isystem /usr/include" CXX="g++ -isystem /usr/include" \
+    LDFLAGS="-Wl,-rpath-link,/lib" ./configure --prefix=/usr \
     --enable-cxx --enable-mpbsd</userinput></screen>
 
Index: BOOK/final-system/common/mpfr.xml
===================================================================
--- BOOK/final-system/common/mpfr.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/common/mpfr.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -29,5 +29,5 @@
     <para os="a">Prepare MPFR for compilation:</para>
 
-<screen os="b"><userinput>CC="gcc -Wl,-rpath-link,/lib -isystem /usr/include" \
+<screen os="b"><userinput>CC="gcc -isystem /usr/include" LDFLAGS="-Wl,-rpath-link,/lib" \
     ./configure --prefix=/usr --enable-shared</userinput></screen>
 
Index: BOOK/final-system/common/zlib.xml
===================================================================
--- BOOK/final-system/common/zlib.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/common/zlib.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -33,5 +33,6 @@
     <para os="a">Prepare Zlib for compilation:</para>
 
-<screen os="b"><userinput>./configure --prefix=/usr --shared</userinput></screen>
+<screen os="b"><userinput>CC="gcc -isystem /usr/include" CXX="g++ -isystem /usr/include" \
+    LDFLAGS="-Wl,-rpath-link,/lib" ./configure --prefix=/usr --shared</userinput></screen>
 
     <para os="c">Compile the package:</para>
Index: BOOK/final-system/mips64/binutils.xml
===================================================================
--- BOOK/final-system/mips64/binutils.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/mips64/binutils.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -71,5 +71,6 @@
     xpointer="xpointer(//*[@os='i'])"/>
 
-<screen os="ca"><userinput>CC="gcc -Wl,-rpath-link,/lib64:/lib32:/lib -isystem /usr/include ${BUILD64}" \
+<screen os="ca"><userinput>CC="gcc -isystem /usr/include ${BUILD64}" \
+    LDFLAGS="-Wl,-rpath-link,/lib64:/lib32:/lib ${BUILD64}" \
     ../binutils-&binutils-version;/configure --prefix=/usr \
     --enable-shared --enable-64-bit-bfd --libdir=/usr/lib64</userinput></screen>
Index: BOOK/final-system/multilib/binutils.xml
===================================================================
--- BOOK/final-system/multilib/binutils.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/multilib/binutils.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -69,5 +69,6 @@
     xpointer="xpointer(//*[@os='i'])"/>
 
-<screen os="ca"><userinput>CC="gcc -Wl,-rpath-link,/lib64:/lib -isystem /usr/include ${BUILD64}" \
+<screen os="ca"><userinput>CC="gcc -isystem /usr/include ${BUILD64}" \
+    LDFLAGS="-Wl,-rpath-link,/lib64:/lib ${BUILD64}" \
     ../binutils-&binutils-version;/configure --prefix=/usr \
     --enable-shared --enable-64-bit-bfd --libdir=/usr/lib64</userinput></screen>
Index: BOOK/final-system/multilib/gmp-64bit.xml
===================================================================
--- BOOK/final-system/multilib/gmp-64bit.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/multilib/gmp-64bit.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -34,9 +34,7 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc -Wl,-rpath-link,/lib64 -isystem /usr/include ${BUILD64}" \
-   CXX="g++ -Wl,-rpath-link,/lib64 -isystem /usr/include ${BUILD64}" \
-    ./configure --prefix=/usr \
-    --libdir=/usr/lib64 --enable-cxx \
-    --enable-mpbsd</userinput></screen>
+<screen os="b"><userinput>CC="gcc -isystem /usr/include ${BUILD64}" CXX="g++ -isystem /usr/include ${BUILD64}" \
+   LDFLAGS="-Wl,-rpath-link,/lib64 ${BUILD64}" ./configure --prefix=/usr \
+    --libdir=/usr/lib64 --enable-cxx --enable-mpbsd</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/final-system/multilib/gmp-n32.xml
===================================================================
--- BOOK/final-system/multilib/gmp-n32.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/multilib/gmp-n32.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -35,9 +35,7 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc -Wl,-rpath-link,/lib32 -isystem /usr/include ${BUILDN32}" \
-   CXX="g++ -Wl,-rpath-link,/lib32 -isystem /usr/include ${BUILDN32}" \
-    ./configure --prefix=/usr \
-    --libdir=/usr/lib32 --enable-cxx \
-    --enable-mpbsd</userinput></screen>
+<screen os="b"><userinput>CC="gcc -isystem /usr/include ${BUILDN32}" CXX="g++ -isystem /usr/include ${BUILDN32}" \
+    LDFLAGS="-Wl,-rpath-link,/lib32 ${BUILDN32}" ./configure --prefix=/usr \
+    --libdir=/usr/lib32 --enable-cxx --enable-mpbsd</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/final-system/multilib/gmp.xml
===================================================================
--- BOOK/final-system/multilib/gmp.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/multilib/gmp.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -35,9 +35,7 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc -Wl,-rpath-link,/lib -isystem /usr/include ${BUILD32}" \
-    CXX="g++ -Wl,-rpath-link,/lib -isystem /usr/include ${BUILD32}" \
-    ./configure --prefix=/usr \
-    --host=${CLFS_TARGET32} --enable-cxx \
-    --enable-mpbsd</userinput></screen>
+<screen os="b"><userinput>CC="gcc -isystem /usr/include ${BUILD32}" CXX="g++ -isystem /usr/include ${BUILD32}" \
+    LDFLAGS="-Wl,-rpath-link,/lib ${BUILD32}" ./configure --prefix=/usr \
+    --host=${CLFS_TARGET32} --enable-cxx --enable-mpbsd</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/final-system/multilib/mpfr-64bit.xml
===================================================================
--- BOOK/final-system/multilib/mpfr-64bit.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/multilib/mpfr-64bit.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -26,7 +26,6 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc -Wl,-rpath-link,/lib64 -isystem /usr/include ${BUILD64}" \
-    ./configure --prefix=/usr \
-    --libdir=/usr/lib64 --enable-shared</userinput></screen>
+<screen os="b"><userinput>CC="gcc -isystem /usr/include ${BUILD64}" LDFLAGS="-Wl,-rpath-link,/lib64 ${BUILD64}" \
+    ./configure --prefix=/usr --libdir=/usr/lib64 --enable-shared</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/final-system/multilib/mpfr-n32.xml
===================================================================
--- BOOK/final-system/multilib/mpfr-n32.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/multilib/mpfr-n32.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -27,7 +27,6 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc -Wl,-rpath-link,/lib32 -isystem /usr/include ${BUILDN32}" \
-    ./configure --prefix=/usr \
-    --libdir=/usr/lib32 --enable-shared</userinput></screen>
+<screen os="b"><userinput>CC="gcc -isystem /usr/include ${BUILDN32}" LDFLAGS="-Wl,-rpath-link,/lib32 ${BUILDN32}" \
+    ./configure --prefix=/usr --libdir=/usr/lib32 --enable-shared</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/final-system/multilib/mpfr.xml
===================================================================
--- BOOK/final-system/multilib/mpfr.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/multilib/mpfr.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -27,7 +27,6 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc -Wl,-rpath-link,/lib -isystem /usr/include ${BUILD32}" \
-    ./configure --prefix=/usr \
-    --host=${CLFS_TARGET32} --enable-shared</userinput></screen>
+<screen os="b"><userinput>CC="gcc -isystem /usr/include ${BUILD32}" LDFLAGS="-Wl,-rpath-link,/lib ${BUILD32}" \
+    ./configure --prefix=/usr --host=${CLFS_TARGET32} --enable-shared</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/final-system/multilib/zlib-64bit.xml
===================================================================
--- BOOK/final-system/multilib/zlib-64bit.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/multilib/zlib-64bit.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -34,6 +34,8 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc ${BUILD64}" CXX="g++ ${BUILD64}" ./configure --prefix=/usr \
-   --shared --libdir=/usr/lib64</userinput></screen>
+<screen os="b"><userinput>CC="gcc -isystem /usr/include ${BUILD64}" \
+    CXX="g++ -isystem /usr/include ${BUILD64}" \
+    LDFLAGS="-Wl,-rpath-link,/lib64 ${BUILD64}" \
+    ./configure --prefix=/usr --shared --libdir=/usr/lib64</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/final-system/multilib/zlib-n32.xml
===================================================================
--- BOOK/final-system/multilib/zlib-n32.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/multilib/zlib-n32.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -35,6 +35,8 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc ${BUILDN32}" CXX="g++ ${BUILDN32}" ./configure --prefix=/usr \
-   --shared --libdir=/usr/lib32</userinput></screen>
+<screen os="b"><userinput>CC="gcc -isystem /usr/include ${BUILDN32}" \
+    CXX="g++ -isystem /usr/include ${BUILDN32}" \
+    LDFLAGS="-Wl,-rpath-link,/lib32 ${BUILDN32}" \
+   ./configure --prefix=/usr --shared --libdir=/usr/lib32</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/final-system/multilib/zlib.xml
===================================================================
--- BOOK/final-system/multilib/zlib.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/final-system/multilib/zlib.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -35,6 +35,8 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc ${BUILD32}" CXX="g++ ${BUILD32}" ./configure --prefix=/usr \
-   --shared</userinput></screen>
+<screen os="b"><userinput>CC="gcc -isystem /usr/include ${BUILD32}" \
+    CXX="g++ -isystem /usr/include ${BUILD32}" \
+    LDFLAGS="-Wl,-rpath-link,/lib ${BUILD32}" \
+    ./configure --prefix=/usr --shared</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 6b70d12efb05434c8029e04e467462080915c5e2)
+++ BOOK/introduction/common/changelog.xml	(revision 4173cd902cfee27aaf3cae996edab2913ed2c0e2)
@@ -36,4 +36,14 @@
     </listitem>
 -->
+
+    <listitem>
+      <para>January 04, 2009</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Jim] - Changed the commands for Clean Toolchain Updates. Using
+                proper LDFLAGS instead of the compiler string for library command.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>